Package com.complexible.common.net

# Class RDFMediaTypes

java.lang.Object
com.complexible.common.net.RDFMediaTypes

public final class RDFMediaTypes extends Object

MediaType objects related to RDF, SPARQL, and other SemWeb concepts.

Since:
  2.0
Version:
  3.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.google.common.net.MediaType`
  `CSV`
  `static final com.google.common.net.MediaType`
  `JSONLD`
  `static final com.google.common.net.MediaType`
  `N3`
  `static final com.google.common.net.MediaType`
  `NQUADS`
  `static final com.google.common.net.MediaType`
  `NQUADS_DEPRECATED`
  `static final com.google.common.net.MediaType`
  `NTRIPLES`
  `static final com.google.common.net.MediaType`
  `NTRIPLES_DEPRECATED`
  `static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType>`
  `QUERY_RESULTS`
  `static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType>`
  `RDF_TYPES`
  `static final com.google.common.net.MediaType`
  `RDFXML`
  `static final com.google.common.net.MediaType`
  `SPARQL_BINARY`
  `static final com.google.common.net.MediaType`
  `SPARQL_BOOLEAN`
  `static final com.google.common.net.MediaType`
  `SPARQL_JSON`
  `static final com.google.common.net.MediaType`
  `SPARQL_QUERY`
  `static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType>`
  `SPARQL_TYPES`
  `static final com.google.common.net.MediaType`
  `SPARQL_UPDATE`
  `static final com.google.common.net.MediaType`
  `SPARQL_XML`
  `static final com.google.common.net.MediaType`
  `TRIG`
  `static final com.google.common.net.MediaType`
  `TRIG_DEPRECATED`
  `static final com.google.common.net.MediaType`
  `TSV`
  `static final com.google.common.net.MediaType`
  `TSV2`
  `static final com.google.common.net.MediaType`
  `TURTLE`
  `static final com.google.common.net.MediaType`
  `TURTLE_DEPRECATED`
  `static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType>`
  `TURTLE_TYPES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isQueryResults(com.google.common.net.MediaType theType)`
  `static boolean`
  `isRDF(com.google.common.net.MediaType theType)`
  `static boolean`
  `isTurtle(com.google.common.net.MediaType theType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TURTLE

    public static final com.google.common.net.MediaType TURTLE

  - ### TURTLE_DEPRECATED

    public static final com.google.common.net.MediaType TURTLE_DEPRECATED

  - ### RDFXML

    public static final com.google.common.net.MediaType RDFXML

  - ### NTRIPLES

    public static final com.google.common.net.MediaType NTRIPLES

  - ### NTRIPLES_DEPRECATED

    public static final com.google.common.net.MediaType NTRIPLES_DEPRECATED

  - ### JSONLD

    public static final com.google.common.net.MediaType JSONLD

  - ### N3

    public static final com.google.common.net.MediaType N3

  - ### TRIG

    public static final com.google.common.net.MediaType TRIG

  - ### TRIG_DEPRECATED

    public static final com.google.common.net.MediaType TRIG_DEPRECATED

  - ### NQUADS

    public static final com.google.common.net.MediaType NQUADS

  - ### NQUADS_DEPRECATED

    public static final com.google.common.net.MediaType NQUADS_DEPRECATED

  - ### CSV

    public static final com.google.common.net.MediaType CSV

  - ### TSV

    public static final com.google.common.net.MediaType TSV

  - ### TSV2

    public static final com.google.common.net.MediaType TSV2

  - ### SPARQL_XML

    public static final com.google.common.net.MediaType SPARQL_XML

  - ### SPARQL_JSON

    public static final com.google.common.net.MediaType SPARQL_JSON

  - ### SPARQL_BINARY

    public static final com.google.common.net.MediaType SPARQL_BINARY

  - ### SPARQL_BOOLEAN

    public static final com.google.common.net.MediaType SPARQL_BOOLEAN

  - ### SPARQL_UPDATE

    public static final com.google.common.net.MediaType SPARQL_UPDATE

  - ### SPARQL_QUERY

    public static final com.google.common.net.MediaType SPARQL_QUERY

  - ### SPARQL_TYPES

    public static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType> SPARQL_TYPES

  - ### RDF_TYPES

    public static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType> RDF_TYPES

  - ### TURTLE_TYPES

    public static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType> TURTLE_TYPES

  - ### QUERY_RESULTS

    public static final com.google.common.collect.ImmutableList<com.google.common.net.MediaType> QUERY_RESULTS

- ## Method Details

  - ### isTurtle

    public static boolean isTurtle(com.google.common.net.MediaType theType)

  - ### isQueryResults

    public static boolean isQueryResults(com.google.common.net.MediaType theType)

  - ### isRDF

    public static boolean isRDF(com.google.common.net.MediaType theType)